List vendor price lists
Retrieve a paginated list of vendor price lists with filtering and sorting
GET
/
admin
/
api
/
v1
/
purchases
/
vendor-price-lists
List vendor price lists
curl --request GET \
--url https://erp.arukz.com/admin/api/v1/purchases/vendor-price-lists \
--header 'Authorization: Bearer <token>'import requests
url = "https://erp.arukz.com/admin/api/v1/purchases/vendor-price-lists"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://erp.arukz.com/admin/api/v1/purchases/vendor-price-lists', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://erp.arukz.com/admin/api/v1/purchases/vendor-price-lists",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"data": [
{
"id": null,
"sort": 933724,
"delay": 30,
"product_name": "nostrum qui commodi",
"product_code": "SUP-4902",
"starts_at": "2026-02-15T00:00:00.000000Z",
"ends_at": "2026-08-07T00:00:00.000000Z",
"min_qty": 35,
"price": 16.1,
"discount": 44.27,
"product_id": 299,
"partner_id": 1,
"currency_id": 782,
"company_id": 1385,
"creator_id": 1,
"created_at": null,
"updated_at": null
},
{
"id": null,
"sort": 882526594,
"delay": 19,
"product_name": "neque sit sunt",
"product_code": "SUP-4223",
"starts_at": "2026-02-25T00:00:00.000000Z",
"ends_at": "2026-04-08T00:00:00.000000Z",
"min_qty": 27,
"price": 59.21,
"discount": 48.04,
"product_id": 300,
"partner_id": 1,
"currency_id": 783,
"company_id": 1387,
"creator_id": 1,
"created_at": null,
"updated_at": null
}
],
"links": {
"first": "/?page=1",
"last": "/?page=1",
"prev": null,
"next": null
},
"meta": {
"current_page": 1,
"from": 1,
"last_page": 1,
"links": [
{
"url": null,
"label": "« Previous",
"active": false
},
{
"url": "/?page=1",
"label": "1",
"active": true
},
{
"url": null,
"label": "Next »",
"active": false
}
],
"path": "/",
"per_page": 10,
"to": 2,
"total": 2
}
}{
"message": "Unauthenticated."
}Authorizations
An API token from Sign in, sent as Authorization: Bearer <token>. Tokens last 30 days.
Query Parameters
Response
Success
⌘I
List vendor price lists
curl --request GET \
--url https://erp.arukz.com/admin/api/v1/purchases/vendor-price-lists \
--header 'Authorization: Bearer <token>'import requests
url = "https://erp.arukz.com/admin/api/v1/purchases/vendor-price-lists"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://erp.arukz.com/admin/api/v1/purchases/vendor-price-lists', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://erp.arukz.com/admin/api/v1/purchases/vendor-price-lists",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"data": [
{
"id": null,
"sort": 933724,
"delay": 30,
"product_name": "nostrum qui commodi",
"product_code": "SUP-4902",
"starts_at": "2026-02-15T00:00:00.000000Z",
"ends_at": "2026-08-07T00:00:00.000000Z",
"min_qty": 35,
"price": 16.1,
"discount": 44.27,
"product_id": 299,
"partner_id": 1,
"currency_id": 782,
"company_id": 1385,
"creator_id": 1,
"created_at": null,
"updated_at": null
},
{
"id": null,
"sort": 882526594,
"delay": 19,
"product_name": "neque sit sunt",
"product_code": "SUP-4223",
"starts_at": "2026-02-25T00:00:00.000000Z",
"ends_at": "2026-04-08T00:00:00.000000Z",
"min_qty": 27,
"price": 59.21,
"discount": 48.04,
"product_id": 300,
"partner_id": 1,
"currency_id": 783,
"company_id": 1387,
"creator_id": 1,
"created_at": null,
"updated_at": null
}
],
"links": {
"first": "/?page=1",
"last": "/?page=1",
"prev": null,
"next": null
},
"meta": {
"current_page": 1,
"from": 1,
"last_page": 1,
"links": [
{
"url": null,
"label": "« Previous",
"active": false
},
{
"url": "/?page=1",
"label": "1",
"active": true
},
{
"url": null,
"label": "Next »",
"active": false
}
],
"path": "/",
"per_page": 10,
"to": 2,
"total": 2
}
}{
"message": "Unauthenticated."
}